Bug 1270318 - pbkdf2 with a 74 byte result crashes
pbkdf2 with a 74 byte result crashes
Status: CLOSED DUPLICATE of bug 1271165
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: m2crypto (Show other bugs)
7.2
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Miloslav Trmač
BaseOS QE Security Team
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-09 11:16 EDT by Matěj Cepl
Modified: 2015-10-30 06:13 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-10-30 06:13:41 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
backtrace and reproduction (12.98 KB, text/plain)
2015-10-09 11:16 EDT, Matěj Cepl
no flags Details

  None (edit)
Description Matěj Cepl 2015-10-09 11:16:35 EDT
Created attachment 1081377 [details]
backtrace and reproduction

Description of problem:

Python 2.7.5 (default, Sep 15 2015, 04:43:27) 
[GCC 4.8.3 20140911 (Red Hat 4.8.3-9)] on linux2
Type "help", "copyright", "credits" or "license" for more information.
>>> import M2Crypto
>>> M2Crypto.EVP.pbkdf2('foo', 'abc', 1, 74)

leads to crash with the attached backtrace

Version-Release number of selected component (if applicable):
python-2.7.5-33.el7.x86_64
m2crypto-0.21.1-17.el7.x86_64
Comment 2 Stefan Cornelius 2015-10-30 06:13:41 EDT
Product Security will take over in bug 1271165

*** This bug has been marked as a duplicate of bug 1271165 ***

Note You need to log in before you can comment on or make changes to this bug.